device_type: "qemu"

job_name: "tuxrun@qemu-ppc64le: boot"
priority: "medium"
visibility: "public"

context:
    arch: "ppc64le"
    machine: "pseries"
    cpu: "POWER8"
    memory: "4G"
    extra_options: ["-no-reboot", "-smp 2"]
    no_kvm: true
    no_network: true
timeouts:
  job:
    minutes: 20
  action:
   minutes: 5
  actions:
    power-off:
      seconds: 30

actions:
- deploy:
    to: tmpfs
    timeout:
      minutes: 5
    os: oe
    images:
      kernel:
        image_arg: '-kernel {kernel} -append "console=hvc0,115200 rootwait root=/dev/sda debug verbose console_msg_format=syslog earlycon"'
        url: "https://storage.tuxboot.com/buildroot/ppc64le/vmlinux"
      rootfs:
        image_arg: "-drive file={rootfs},format=raw,if=scsi,index=0"
        url: "https://storage.tuxboot.com/buildroot/ppc64le/rootfs.ext4.zst"
        compression: zstd
        format: ext4
- boot:
    method: qemu
    timeout:
      minutes: 15
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - 'root@(.*):[/~]#'
